<!--  -->
<template>
  <div class>
    <!-- 页头 -->
    <div class="library_box_headr">
      <slot></slot>
      <!-- <el-page-header title @back="goBack" content="知识库"></el-page-header> -->
      <!-- <div class="">知识库</div> -->
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    goBack() {
    }
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {
    //   if (sessionStorage.getItem('path') == '/lianxi') {
    //       alert('获取到了')
    //   } else {
    //       alert('没有获取到')
    //   }
  },
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {},
  beforeCreate() {}, //生命周期 - 创建之前
  beforeMount() {}, //生命周期 - 挂载之前
  beforeUpdate() {}, //生命周期 - 更新之前
  updated() {}, //生命周期 - 更新之后
  beforeDestroy() {}, //生命周期 - 销毁之前
  destroyed() {}, //生命周期 - 销毁完成
  activated() {} //如果页面有keep-alive缓存功能，这个函数会触发
};
</script>
<style lang='scss'>
@import "../../assets/style/bus.scss";

//头部
.headerTitle {
  color: #fff;
  line-height: 1.5rem;
}
.library_box_headr {
  background: -webkit-linear-gradient(right, #6a98f6, #41c5f6, #41c5f6);
  height: 1.6rem;
  line-height: 0.8rem;
  display: flex;
  justify-content: space-between;
}
.library_box_headr .el-page-header__content {
  font-size: 23px;
  margin: -0.02rem 0 0 -0.2rem;
  color: #fff !important;
}
.library_box_headr .el-icon-back:before {
  font-size: 30px;
}
.library_box_headr .el-page-header__left .el-icon-back {
  margin: -0.05rem 0 0 0.9rem;
}
.library_box_headr .el-page-header__left::after {
  width: 0;
  height: 0;
}
//搜索
.library_box_headr_sou {
  width: 0.6rem;
  height: 0.6rem;
  float: right;
  margin: .45rem 0.5rem 0 0;
  overflow: hidden;
  
}
.library_box_headr .el-dialog__footer {
  margin: -0.5rem 0 0 0;
}
</style>